Bug 198817 - Use of iscsi oopses the kernel
Use of iscsi oopses the kernel
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks: FC6Blocker
  Show dependency treegraph
 
Reported: 2006-07-13 16:38 EDT by Jeremy Katz
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-28 21:03:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 2006-07-13 16:38:05 EDT
With 2.6.17-1.2366.fc6
<1>BUG: unable to handle kernel paging request at virtual address 6b6b6b6b
<1> printing eip:
<4>f885fe8f
<1>*pde = 00000000
<0>Oops: 0000 [#1]
<1>last sysfs file: /class/iscsi_connection/connection0:0/exp_statsn
<4>Modules linked in: dm_snapshot dm_mirror dm_zero dm_mod xfs jfs reiserfs
lock_nolock gfs2 ext3 jbd msdos raid1 raid0 ata_piix libata mptspi
scsi_transport_spi mptscsih mptbase e1000 ohci1394 ieee1394 uhci_hcd ehci_hcd
iscsi_tcp libiscsi scsi_transport_iscsi sr_mod sd_mod scsi_mod ide_cd cdrom ipv6
squashfs pcspkr edd floppy loop nfs nfs_acl lockd sunrpc vfat fat cramfs
<0>CPU:    0
<4>EIP:    0060:[<f885fe8f>]    Not tainted VLI
<4>EFLAGS: 00010282   (2.6.17-1.2366.fc6 #1)
<0>EIP is at iscsi_session_teardown+0x61/0x88 [libiscsi]
<0>eax: 6b6b6b6b   ebx: f6bc8d10   ecx: dfada34c   edx: 00000001
<0>esi: f6bc8a54   edi: ef904494   ebp: f893b860   esp: efdfdcb4
<0>ds: 007b   es: 007b   ss: 0068
<0>Process iscsid (pid: 817, ti=efdfd000 task=f074c810 task.ti=efdfd000)
<0>Stack: ef904494 00000282 f07d60cc f892e3aa dfade680 dfade680 dfade680 f07d60b8
<0>       c0451dbc dfb9d86c ef8c7cac 00000048 f07d60bc f07d60cc dfade680 00000246
<0>       000000d0 dfb9d86c f893b860 ef8c7cac 7fffffff dfb9d86c 00000048 efdfdee4
<0>Call Trace:
<4> [<f892e3aa>] iscsi_if_rx+0x216/0x945 [scsi_transport_iscsi]
<4> [<c059e51a>] netlink_data_ready+0x12/0x4b
<4> [<c059d56e>] netlink_sendskb+0x19/0x2f
<4> [<c059e4fc>] netlink_sendmsg+0x260/0x26c
<4> [<c0582f44>] sock_sendmsg+0xd0/0xeb
<4> [<c05836ef>] sys_sendmsg+0x192/0x1f7
<4> [<c0584b94>] sys_socketcall+0x240/0x261
<4> [<c0402cc7>] syscall_call+0x7/0xb
<0>Code: 78 8d 86 38 03 00 00 e8 70 ee ff ff 8b 53 64 8d 86 24 03 00 00 e8 62 ee
ff ff 89 f8 e8 8d da 0c 00 89 f0 e8 dd 3e 14 00 8b 47 10 <8b> 00 85 c0 74 1d ff
88 80 01 00 00 83 38 02 75 12 8b 80 08 02
<0>EIP: [<f885fe8f>] iscsi_session_teardown+0x61/0x88 [libiscsi] SS:ESP
0068:efdfdcb4
Comment 1 Mike Christie 2006-07-13 16:43:42 EDT
I have this fixed with these patches

http://kernel.org/pub/linux/kernel/people/mnc/open-iscsi/patches/2.6.18-bugfixes-v2/

I am about to send them to the scsi maintainer in the hope they get picked up
for 2.6.18-rc2.

The patches also require a updated rpm.

Note You need to log in before you can comment on or make changes to this bug.